/*
 *************************************************************************
 *                                                                       *
 * Copyright 2000 Compaq Computer Corporation                            *
 *                                                                       *
 * COMPAQ Registered in U.S. Patent and Trademark Office.                *
 *                                                                       *
 *************************************************************************
 * IMPORTANT: Carefully read the License Terms below before              *
 * proceeding.  By use of these materials you agree to these terms.      *
 * If you do not agree to these terms, you may not use this software or  *
 * the accompanying documentation.                                       *
 *************************************************************************
 * LICENSE TERMS                                                         *
 * 1. GRANT                                                              *
 * Compaq Computer Corporation ("COMPAQ") grants you the right to use,   *
 * modify, and distribute the following source code (the "Software")     *
 * on any number of computers. You may use the Software as part of       *
 * creating a software program or product intended for commercial or     *
 * non-commercial distribution in machine-readable source code, binary,  *
 * or executable formats. You may distribute the Software as             *
 * machine-readable source code provided this license is not removed     *
 * from the Software and any modifications are conspicuously indicated.  *
 * 2. COPYRIGHT                                                          *
 * The Software is owned by COMPAQ and its suppliers and is protected by *
 * copyright laws and international treaties.  Your use of the Software  *
 * and associated documentation is subject to the applicable copyright   *
 * laws and the express rights and restrictions of these terms.          *
 * 3. RESTRICTIONS                                                       *
 * You may not remove any copyright, trademark, or other proprietary     *
 * notices from the Software or the associated  documentation.           *
 * You are responsible for compliance with all applicable export or      *
 * re-export control laws and regulations if you export the Software.    *
 * This license is governed by and is to be construed under the laws     *
 * of the State of Texas.                                                *
 *                                                                       *
 * DISCLAIMER OF WARRANTY AND LIABILITY                                  *
 * Compaq shall not be liable for technical or editorial errors or       *
 * omissions contained herein. The information contained herein is       *
 * subject to change without notice.                                     *
 *                                                                       *
 * THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND.       *
 * THE ENTIRE RISK ARISING OUT OF THE USE OF THIS SOFTWARE REMAINS WITH  *
 * RECIPIENT.  IN NO EVENT SHALL COMPAQ BE LIABLE FOR ANY DIRECT,        *
 * CONSEQUENTIAL, INCIDENTAL, SPECIAL, PUNITIVE OR OTHER DAMAGES         *
 * WHATSOEVER (INCLUDING WITHOUT LIMITATION DAMAGES FOR LOSS OF BUSINESS *
 * PROFITS, BUSINESS INTERRUPTION, OR LOSS OF BUSINESS INFORMATION),     *
 * EVEN IF COMPAQ HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES    *
 * AND WHETHER IN AN ACTION OF CONTRACT OR TORT INCLUDING NEGLIGENCE.    *
 *                                                                       *
 * If you have any questions concerning this license, please contact:    *
 * Compaq Computer Corporation, Software Business Practices, ZKO1-2/D22, *
 * 110 Spit Brook Road, Nashua, NH. 03062-2698.                          *
 *                                                                       *
 *************************************************************************
 */

# ifndef __UTIME_LOADED
# define __UTIME_LOADED 1

# if __DECC_VER<50000000 && __DECCXX_VER<50000000   /* PROLOGUE version X-7 */
#   error POSIX for OpenVMS V3.0 requires DEC C or DEC C++ V5.0 or later
# endif
# if __64BITS_A || __64BITS_B
#   error The /INTS compile time option is not supported
# endif
# pragma __environment __save
# pragma __environment __header_defaults
# pragma __extern_model __strict_refdef
# if __cplusplus
extern "C" {
# endif
# ifndef __CHAR_SP
#   define __CHAR_SP 1
#   ifdef __INITIAL_POINTER_SIZE
#   pragma __required_pointer_size __long
#   endif
    typedef char *	__char_lp;	/* 64-bit pointer */
    typedef void *	__void_lp;	/* 64-bit pointer */
    typedef int *	__int_lp;	/* 64-bit pointer */
    typedef const char *__kchar_lp;	/* 64-bit pointer */
    typedef const void *__kvoid_lp;	/* 64-bit pointer */
    typedef const int  *__kint_lp;	/* 64-bit pointer */
#   ifdef __INITIAL_POINTER_SIZE
#   pragma __required_pointer_size __short
#   endif
    typedef char *	__char_sp;	/* 32-bit pointer */
    typedef void *	__void_sp;	/* 32-bit pointer */
    typedef int *	__int_sp;	/* 32-bit pointer */
    typedef const char *__kchar_sp;	/* 32-bit pointer */
    typedef const void *__kvoid_sp;	/* 32-bit pointer */
    typedef const int  *__kint_sp;	/* 64-bit pointer */
# endif

/* I don't think we need this any more */
#if 0
# ifndef __TIME_T					    /* version X-3  */
#   define __TIME_T 1
/* Changed following definition of time_t from int to unsigned long int. */
/*  typedef int			time_t; */
    typedef unsigned long int	time_t;
# endif
#endif /* 0 */

struct utimbuf
{
    time_t	actime;
    time_t	modtime;
} ;

# if __INITIAL_POINTER_SIZE > 0
#   pragma __pointer_size __long
# endif

int utime (const char * __path, const struct utimbuf * __times);

# if __cplusplus				    /* EPILOGUE version X-5 */
}
# endif
# pragma __environment __restore

# endif		/* __UTIME_LOADED  */

